<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolDeleteSelected" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolDeleteSelected</refname>

    <refpurpose>remove the compensator element (pole, zero, ...) selected in
    the textual compensator editor GUI.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolDeleteSelected() </synopsis>

    <refsection>
      <title>Arguments</title>

      <variablelist>
        <varlistentry>
          <term>gcbo</term>

          <listitem>
            <para>The handle on the calling uicontrol (see <link
            linkend="scilab.help/gcbo">gcbo</link>). This variable is
            defined in the calling context.</para>
          </listitem>
        </varlistentry>
      </variablelist>
    </refsection>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Remove the compensator element (pole, zero, ...) selected in the
    textual compensator editor GUI.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
          <tr>
            <td>
              <link linkend="sisotoolGetSession">
                <function>sisotoolGetSession</function>
              </link>
            </td>

            <td>retrieves the <link linkend="sisotoolSessionData">session data
            structure</link> from the editors window user_data field.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolAddHistory">
                <function>sisotoolAddHistory</function>
              </link>
            </td>

            <td>adds a new change in the changes history.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolDeleteCElement">
                <function>sisotoolDeleteCElement</function>
              </link>
            </td>

            <td>remove the specified compensator element (pole, zero,
            ...)</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolSetSession">
                <function>sisotoolSetSession</function>
              </link>
            </td>

            <td>stores the <link linkend="sisotoolSessionData">session data
            structure</link> in the editors window user_data field.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolUpdateOptimGui">
                <function>sisotoolUpdateOptimGui</function>
              </link>
            </td>

            <td>updates the optimization GUI according to the compensator
            or requirements changes.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolSetCGUI">
                <function>sisotoolSetCGUI</function>
              </link>
            </td>

            <td>updates the GUI of the textual compensator editor with
            current values.</td>
          </tr>

          <tr>
            <td>
              <link linkend="sisotoolRedraw">
                <function>sisotoolRedraw</function>
              </link>
            </td>

            <td>updates the all the opened GUIs.</td>
          </tr>
    </informaltable>
  </refsection>
</refentry>
